%define upstream_name    Tapper-TestSuite-Netperf
%define upstream_version 5.0.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Tapper - Network performance measurements - Client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Log::Log4perl)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Network performance measurements client for Tapper.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tapper-testsuite-netperf-client
/usr/bin/tapper-testsuite-netperf-server
%{_mandir}/man1/tapper-testsuite-netperf-client.1*
%{_mandir}/man1/tapper-testsuite-netperf-server.1*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 5.0.0-2.mga10
+ Revision: 2234696
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 5.0.0-1.mga10
+ Revision: 2141956
- update to 5.0.0

* Tue Mar 22 2022 umeabot <umeabot> 4.1.1-11.mga9
+ Revision: 1817357
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.1.1-10.mga8
+ Revision: 1497262
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 4.1.1-9.mga7
+ Revision: 1271498
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 4.1.1-8.mga6
+ Revision: 1033797
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 4.1.1-7.mga6
+ Revision: 949068
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 4.1.1-6.mga5
+ Revision: 788900
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 4.1.1-5.mga5
+ Revision: 748283
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.1-4.mga5
+ Revision: 686326
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.1-3.mga4
+ Revision: 514848
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.1-2.mga3
+ Revision: 373112
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 4.1.1-1.mga3
+ Revision: 342648
- update to 4.1.1

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-2.mga3
+ Revision: 310319
- Fix desc

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 310238
- imported package perl-Tapper-TestSuite-Netperf


* Fri Oct 26 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
